<ion-content>
	<div class="page-wrapper h-100">
		<div class="content h-100">
			<div class="row">
				<div class="col-sm-4 col-3">
					<h4 class="page-title">Employee</h4>
				</div>
				<div class="col-sm-8 col-9 text-right m-b-20">
					<button
						class="btn btn-primary float-right"
						(click)="showModal(country)"
					>
						<i class="fa fa-plus"></i> Add Country
					</button>
				</div>
			</div>
			<div class="row filter-row">
				<div class="col-sm-12 col-md-8 form-group">
					<select
						class="form-control"
						name="country"
						(click)="getCountry()"
						[(ngModel)]="country"
					>
						<ng-container *ngFor="let item of countries">
							<option [value]="item._id">
								{{ item.Country }}
							</option>
						</ng-container>
					</select>
				</div>
				<div class="col-sm-12 col-md-4">
					<button
						(click)="search()"
						class="btn btn-primary btn-block"
					>
						Search
					</button>
				</div>
			</div>
			<div class="row h-100">
				<div class="col-sm-6 h-100">
					<h2 class="text-center py-2">
						Ciudades
					</h2>
					<div class="list-group">
						<ng-container *ngFor="let item of cities">
							<button
								class="list-group-item list-group-item-action"
							>
								{{item.Province}}
							</button>
						</ng-container>
					</div>
					<ng-container *ngIf="country">
						<div class="row">
							<div class="col-12">
								<button
									(click)="showModal('city')"
									class="btn btn-primary btn-block"
								>
									Create new city
								</button>
							</div>
						</div>
					</ng-container>
				</div>
				<div class="col-sm-6"></div>
			</div>
		</div>
	</div>
</ion-content>
